Album: Pulse and Haze
Date: June 30, 2013
Date Added: April 13, 2024
URLs:
- https://devieus.bandcamp.com/album/pulse-and-haze
Artists:
- Devieus
Cover Artists:
- Devieus
Cover Art File Extension: png
Color: '#7C7C7C'
Groups:
- Devieus
- Fandom
Commentary: |-
    <i>Devieus:</i>
    In going with the theme, I left the logo gray.
---
Track: Pulse of the living
Duration: '1:57'
URLs:
- https://devieus.bandcamp.com/track/pulse-of-the-living
Commentary: |-
    <i>Devieus:</i>
    Heartbeats to be precise, this track is alive and has chiptune.
---
Track: Haze of the dead
Duration: '5:14'
URLs:
- https://devieus.bandcamp.com/track/haze-of-the-dead
Commentary: |-
    <i>Devieus:</i>
    Slowly they rise, slowly they shamble through the mist, slowly they say things to hurt you. They seem familiar, but there's something off about them, they are ghosts, people who don't like you; they may be former denizens or from a different universe, or maybe they only assume that form to unnerve.
